## visad.data
Class FunctionFormFamily.OpenStringForm

    java.lang.Object
      visad.data.FunctionFormFamily.FormFunction
          visad.data.FunctionFormFamily.FileFunction
              visad.data.FunctionFormFamily.OpenStringForm

Enclosing class:
  FunctionFormFamily

class FunctionFormFamily.OpenStringForm
extends FunctionFormFamily.FileFunction

Read a Data object from a local file using the first valid Form.

Field Summary
`(package private) String` `name`

Constructor Summary
`FunctionFormFamily.OpenStringForm(String name)`

Method Summary
`(package private) boolean` `check(FormFileInformer node)` Return 'true' if this object's name applies to the given node.
`(package private) boolean` `function(FormNode node)` The operation to be performed on the object.
`DataImpl` `getData()`
`(package private) InputStream` `getStream()` Return an InputStream for the object.
`boolean` `run()` Perform an operation on an object using the first valid Form.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    String name

Constructor Detail

### FunctionFormFamily.OpenStringForm

    public FunctionFormFamily.OpenStringForm(String name)

Method Detail

### function

    boolean function(FormNode node)

  Description copied from class: `FunctionFormFamily.FormFunction`
  The operation to be performed on the object.

  Specified by:
    `function` in class `FunctionFormFamily.FormFunction`

### getData

    public DataImpl getData()

### check

    boolean check(FormFileInformer node)

  Description copied from class: `FunctionFormFamily.FormFunction`
  Return 'true' if this object's name applies to the given node.

  Specified by:
    `check` in class `FunctionFormFamily.FormFunction`

### getStream

    InputStream getStream()
                    throws IOException

  Description copied from class: `FunctionFormFamily.FormFunction`
  Return an InputStream for the object. Used to read in the first block of the object.

  Specified by:
    `getStream` in class `FunctionFormFamily.FormFunction`
  Throws:
    `IOException`

### run

    public boolean run()
                throws IOException

  Perform an operation on an object using the first valid Form. If a Form successfully performs the operation, return 'true'.

  Throws:
    `IOException`